View Issue Details

IDProjectCategoryView StatusLast Update
0022765mantisbtapi restpublic2019-08-05 11:21
Reportervboctor Assigned Tovboctor  
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version2.3.1 
Target Version2.5.0Fixed in Version2.5.0 
Summary0022765: Implement a test framework for REST API
Description

Implement a test framework for REST API + the initial set of test cases.

TagsNo tags attached.

Relationships

related to 0025961 closeddregad PHPUnit tests as run by Travis CI builds do not execute all defined suites 

Activities

vboctor

vboctor

2017-04-23 18:03

manager   ~0056658

PR: https://github.com/mantisbt/mantisbt/pull/1100

vboctor

vboctor

2017-04-23 18:38

manager   ~0056677

@rombert You can have a look at the PR associated with this issue for sample test cases for the REST API.

Issue History

Date Modified Username Field Change
2017-04-23 18:03 vboctor New Issue
2017-04-23 18:03 vboctor Status new => assigned
2017-04-23 18:03 vboctor Assigned To => vboctor
2017-04-23 18:03 vboctor Note Added: 0056658
2017-04-23 18:38 vboctor Note Added: 0056677
2017-04-30 14:57 vboctoradmin Target Version => 2.5.0
2017-05-03 22:47 vboctor Status assigned => resolved
2017-05-03 22:47 vboctor Resolution open => fixed
2017-05-03 22:47 vboctor Fixed in Version => 2.5.0
2017-06-04 14:58 vboctor Status resolved => closed
2019-08-05 11:21 dregad Relationship added related to 0025961